Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.build
Class MemBuilder

    java.lang.Object
      org.basex.core.Progress
          org.basex.build.Builder
              org.basex.build.MemBuilder

    public final class MemBuilder

extends Builder

This class creates a memory based database instance.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.build.Builder
`meta, parser`

Constructor Summary
`MemBuilder(Parser p)` Constructor.

Method Summary
`MemData` | `build(String db)` Builds the database by running the specified parser.
`void` | `close()` Closes open references.

Methods inherited from class org.basex.build.Builder
`build, comment, det, emptyElem, encoding, endDoc, endElem, pi, prog, startDoc, startElem, startNS, text, tit`

Methods inherited from class org.basex.core.Progress
`abort, checkStop, detail, progress, progress, stop, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemBuilder

    public MemBuilder(Parser p)

  Constructor.

  Parameters:
    `p` - parser

Method Detail

### build

    public MemData build(String db)
                  throws IOException

  Description copied from class: `Builder`
  Builds the database by running the specified parser.

  Specified by:
    `build` in class `Builder`
  Parameters:
    `db` - name of database
  Returns:
    data database instance
  Throws:
    `IOException` - I/O exception

### close

    public void close()

  Description copied from class: `Builder`
  Closes open references.

  Specified by:
    `close` in class `Builder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD